> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task



## OpenAPI

````yaml /api-reference/openapi.json post /tasks
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /tasks:
    post:
      tags:
        - Tasks
      summary: Create a task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskInput'
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
components:
  schemas:
    TaskInput:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          description: Task Title
        project_id:
          type: integer
          description: Project ID
    Task:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        project_id:
          type: integer
        description:
          type: string
        deadline:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - nueva
            - en_proceso
            - estancada
            - finalizada
        priority:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
          description: 0 = Low, 1 = Medium, 2 = High, 3 = Urgent
        archived:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````